Update Automation Route
PATCH
HTTPBearerheader
AuthorizationBearer <token>automation_id*Automation Idapplication/json- body
name?|nullevent_type?|nullstore_filter?integer|nullblueprint_filter?integer|nullboard_id?|nulltarget_strategy?|nullmatch_expression?string|nullcolumn_updates?|nullenabled?boolean|nullSuccessful Response
application/json- response
name*NameLength
1 <= length <= 200event_type*Event TypeValue in
"workflow.completed""workflow.failed""workflow.started"store_filter?integer|nullblueprint_filter?integer|nullboard_id*Board IdLength
1 <= lengthtarget_strategy*Target StrategyRange
1 <= value <= 7match_expression?string|nullcolumn_updates?enabled?EnabledDefault
trueid*Idcurl -X PATCH 'https://app.copyhero.app/api/v1/monday/automations/0' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "name": "string", "event_type": "workflow.completed", "store_filter": 0, "blueprint_filter": 0, "board_id": "string", "target_strategy": 1, "match_expression": "string", "column_updates": { "property1": "string", "property2": "string" }, "enabled": true, "id": 0}